
QGIS Application - Bug report #13422

deleted feature within shapefile are not really deleted and count is false

2015-09-25 02:31 AM - Alain FERRATON

Status: Closed

Priority: Normal

Assignee:

Category: Data Provider/OGR

Affected QGIS version:2.10.1 Regression?: No

Operating System: Easy fix?: No

Pull Request or Patch supplied:No Resolution: duplicate

Crashes QGIS or corrupts data:No Copied to github as #: 21471

Description

do the following :

- open test.shp

- show feature count > 5

 toogle edition

- delete all feature, count = 0

- save -> count return to 5, attribute table is ok (row = 0).

even close and reopening count = 5 and the file size has not changed.

see also #11007

Related issues:

Related to QGIS Application - Bug report # 13297: Edited/Deleted features sti... Closed 2015-08-31

Related to QGIS Application - Bug report # 11007: Deleted/edited features wit... Closed 2014-08-05

History

#1 - 2015-09-25 07:14 AM - Saber Razmjooei

- Resolution set to duplicate

- Target version set to Version 2.12

- Status changed from Open to Closed

I am re-opening the original ticket.

#2 - 2015-09-29 02:35 AM - Karl Kastner

- Status changed from Closed to Reopened

I can confirm this on QGIS 2.8.1 "Wien" (Ubuntu 15.4). This issue is not resolved when calling repack / assigning new IDs and does not need SAGA raster

processing to be reproduced. Does any one know a work around?

#3 - 2015-09-29 02:39 AM - Saber Razmjooei

- Status changed from Reopened to Closed

The work-around is to save the file as a new file.
Please add your comments to the original ticket #11007

Thanks,

Files

test.zip 1.85 KB 2015-09-25 Alain FERRATON
